# Uses of Interface
org.eclipse.e4.ui.model.application.commands.MBindingTable

Packages that use MBindingTable
Package
Description
org.eclipse.e4.ui.model.application.commands
org.eclipse.e4.ui.model.application.commands.impl
org.eclipse.e4.ui.model.application.commands.util
org.eclipse.e4.ui.model.application.impl

## Uses of MBindingTable in org.eclipse.e4.ui.model.application.commands

Methods in org.eclipse.e4.ui.model.application.commands that return MBindingTable
Modifier and Type
Method
Description
`MBindingTable`
MCommandsFactory.`createBindingTable()`
Returns a new object of class 'Binding Table'.
Methods in org.eclipse.e4.ui.model.application.commands that return types with arguments of type MBindingTable
Modifier and Type
Method
Description
`List<MBindingTable>`
MBindingTableContainer.`getBindingTables()`
Returns the value of the 'Binding Tables' containment reference list.

## Uses of MBindingTable in org.eclipse.e4.ui.model.application.commands.impl

Classes in org.eclipse.e4.ui.model.application.commands.impl that implement MBindingTable
Modifier and Type
Class
Description
`class`
`BindingTableImpl`
An implementation of the model object 'Binding Table'.
Methods in org.eclipse.e4.ui.model.application.commands.impl that return MBindingTable
Modifier and Type
Method
Description
`MBindingTable`
CommandsFactoryImpl.`createBindingTable()`

## Uses of MBindingTable in org.eclipse.e4.ui.model.application.commands.util

Methods in org.eclipse.e4.ui.model.application.commands.util with parameters of type MBindingTable
Modifier and Type
Method
Description
`T`
CommandsSwitch.`caseBindingTable(MBindingTable object)`
Returns the result of interpreting the object as an instance of 'Binding Table'.

## Uses of MBindingTable in org.eclipse.e4.ui.model.application.impl

Fields in org.eclipse.e4.ui.model.application.impl with type parameters of type MBindingTable
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MBindingTable>`
ApplicationImpl.`bindingTables`
The cached value of the '`Binding Tables`' containment reference list.
Methods in org.eclipse.e4.ui.model.application.impl that return types with arguments of type MBindingTable
Modifier and Type
Method
Description
`List<MBindingTable>`
ApplicationImpl.`getBindingTables()`